import math

import matplotlib.pyplot as plt

if __name__ == '__main__':

	plt.ylabel("Performance")
	plt.xlabel("Nombre de coeurs")
	plt.plot([1, 6, 12], [1, 2.13, 8.83], label="Fonction de gain de performance", marker='x')
	plt.plot(range(1, 13), [k * 2 for k in range(1, 13)], label="2x")
	plt.plot(range(1, 13), [k for k in range(1, 13)], label="x")
	plt.plot(range(1, 13), [.5*k for k in range(1, 13)], label="0.5x")

	plt.legend()
	plt.savefig("output.pdf")
