import csv
import sys

import matplotlib.pyplot as plt
import numpy as np

if __name__ == '__main__':

	plt.xlabel("Temps [s]")
	plt.ylabel("Documents téléchargés [0-1000]")
	plt.gcf().subplots_adjust(bottom=0.15)
	plt.xticks(np.arange(0, 1000, 20), rotation=70)
	plt.yticks(np.arange(0, 1000, 50))

	args = sys.argv
	args.pop(0)

	plt.title(input("Titre ?"))
	for arg in args:
		results = []
		with open(arg) as csvfile:
			reader = csv.reader(csvfile)  # change contents to floats
			for row in reader:  # each row is a list
				results.append(row)
			results = np.array(results).astype("int")

		x = results[:, 0]
		y = results[:, 1]
		plt.plot(x, y, label=input("Titre pour données {} ?".format(arg)))

	plt.legend()
	plt.savefig("output.pdf")
