# This class makes sure all clients receive the same-ish amount of jobs.
from common.networking.intercom import Intercom


class Shotgun:
	clients: list = None
	intercom: Intercom = None

	def __init__(self, clients):
		self.clients = clients

	def divideJobs(self, jobs: list):
		size = len(self.clients)
		return dict(zip(self.clients, [jobs[i::size] for i in range(size)]))
