# Remerciements {-}

Je souhaite remercier chaleureusement le Docteur Malaspinas, qui m'a apporté son aide, ses encouragements et ses critiques le long de ce travail.

Un grand merci à Monsieur Hoerdt, qui m'a aiguillé sur la technologie sur laquelle se repose ce projet.

J'aimerais aussi remercier Monsieur Basilico, qui a permis le déploiement de ce projet sur les machines de l'HEPIA.

Merci à Monsieur El Kharroubi, qui m'a assisté dans le déploiement des différents outils nécessaires à ce projet de semestre.

Enfin, je remercie Monsieur Neuenschwander qui a accepté de me relire et de me corriger.

# Résumé {-}

Rester informé sur Internet devient de plus en plus difficile. Ce réseau continue inexorablement à s'étendre et à proposer une foule d'information qui est impossible à absorber par un être humain. Certains sites ont une telle quantité d'information qu'ils représentent à eux seuls une masse beaucoup trop importante. Une solution est le traitement en masse de documents, qu'on surnomme _scraping_. Le but de ce projet est de proposer un logiciel modulaire, nommé Inari, capable de se connecter à tout site, et utilisable par tous et toutes. Pour vérifier si Inari répond à ces questions, ce travail étudiera les performances de récupération de documents sur deux sites différents. La capacité d'utilisation par un utilisateur final sera aussi étudiée. Les résultats en performances semblent indiquer qu'un scraper peut accélérer au moins de deux fois la récupération de documents par rapport à un humain. Au maximum, un gain de 883% de vitesse a été observé. L'objectif de gain de performance semble avoir été rempli. L'implémentation d'un système accessible à un utilisateur final est encore à améliorer, par exemple en transformant l'implémentation actuelle se reposant sur l'écriture de fichiers de commandes par l'utilisateur en interface web où ce dernier n'aurait plus qu'à relier des boîtes, représentant chacune des modules. La connexion entre ces boîtes permettrait de définir, à la façon d'un diagramme de flux de travail, le fonctionnement de l'application dans un ordre prédéfini. Par exemple, une première boîte déterminerait quel document télécharger, une seconde boîte lancerait la conversion des fichiers récupérés à la première étape. Cette amélioration sera étudiée et potentiellement apportée lors du travail de Bachelor, qui sera en continuité avec ce travail.

\begin{figure}
  \vspace{.25cm}
  \begin{center}
    \includegraphics[width=6cm,height=6cm]{figs/front-logo.png}
  \end{center}
  \vspace{.5cm}
\end{figure}
\begin{tabular}{ p{3cm} p{1cm} p{1cm} p{6cm}  }
  \multicolumn{1}{l}{Candidat :}& & & \multicolumn{1}{l}{Professeur-e(s) responsable(s) :}\\
  \multicolumn{1}{l}{\textbf{Théo PIRKL}} & & & \multicolumn{1}{l}{\textbf{Dr Orestis Malaspinas}} \\
  \multicolumn{1}{l}{Filière d'études : ITI} & & & \multicolumn{1}{l}{Travail de semestre soumis à une convention de stage en} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{entreprise : non} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{Travail soumis à un contrat de confidentialité : non} \\
\end{tabular}


\pagebreak