import logging

from loguru import logger


class FlaskToLoguruHandler(logging.Handler):
	def emit(self, record):
		logger_opt = logger.opt(depth=6, exception=record.exc_info)
		logger_opt.log(record.levelno, record.getMessage())
