import re

from loguru import logger


class RegexParser:
	text: str = None

	def __init__(self, text):
		self.text = text

	def run(self, regex: str):
		data = None
		if type(self.text) == str:
			data = re.findall(regex, self.text)
		elif type(self.text) == list:
			data = [re.findall(regex, line) for line in self.text]
			data = [k[0] for k in data if len(k) > 0]  # Selective flatmap
		else:
			logger.error("Unsupported regex recognition format.")

		return {"regexParserOutput": data}
